@ECHO OFF

SET D=KE\DKES

CLS
ECHO	Krypton Egg - Installation Program
ECHO	Krypton Egg - Making Directories

MD	C:\KE
MD	C:\%D%

ECHO	Krypton Egg - Copying Files
COPY	*.??z		C:\%D%

COPY	readme.txt	C:\%D%
COPY	order.frm	C:\%D%
COPY	printord.bat	C:\%D%
COPY	gzip.exe	C:\%D%

COPY	KE.BAT		C:\

ECHO	Krypton Egg - Decompacting Files
C:
CD	\%D%
RENAME	file_id.diz	file_id.dis
GZIP	-dvN	*.??z
RENAME	file_id.dis	file_id.diz
SET D=
ECHO	Krypton Egg - Installation Complete
ECHO	Type 'KE' to play

